# KeyValueHolder Data Type

This is a generic class that hold key-value pairs. It's main usage is to hold abstract types such as TOSCA.

Subtypes
  ProvisionRequest, ProvisionResponse

Properties
name | data type | description
--- | --- | ---
keyValue | map of object | The key-value map
##### Properties inherited from OwnedObject
owner | string | The owner (username) for the particular object. This value is set when the DAO saves the object based on the principal who made the call. It is created automatically. No need to set during a POST
id | string | The UID of this object. This value is auto generated by the DAO when the object is saved.
timestamp | number | The object's creation date in unix time stamp. It is created automatically. No need to set during a POST

Example

    {
      "keyValue" : {
        "property1" : { },
        "property2" : { }
      },
      "owner" : "user1",
      "id" : "58e3946e0fb4f562d84ba1ad",
      "timestamp" : 1499793079011
    }